Upstream information

CVE-2012-2369 at MITRE

Description

Format string vulnerability in the log_message_cb function in otr-plugin.c in the Off-the-Record Messaging (OTR) pidgin-otr plugin before 3.2.1 for Pidgin might allow remote attackers to execute arbitrary code via format string specifiers in data that generates a log message.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 762498 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • pidgin-otr >= 4.0.0-6.18
Patchnames:
SUSE Linux Enterprise Desktop 12 GA pidgin-otr
SUSE Linux Enterprise Desktop 12 SP1
  • pidgin-otr >= 4.0.0-6.18
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA pidgin-otr
SUSE Linux Enterprise Desktop 12 SP2
  • pidgin-otr >= 4.0.0-11.6
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA pidgin-otr
SUSE Linux Enterprise Desktop 12 SP3
  • pidgin-plugin-otr >= 4.0.2-1.29
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA pidgin-plugin-otr
SUSE Linux Enterprise Workstation Extension 12
  • pidgin-otr >= 4.0.0-6.18
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA pidgin-otr
SUSE Linux Enterprise Workstation Extension 12 SP1
  • pidgin-otr >= 4.0.0-6.18
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA pidgin-otr
SUSE Linux Enterprise Workstation Extension 12 SP2
  • pidgin-otr >= 4.0.0-11.6
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA pidgin-otr
SUSE Linux Enterprise Workstation Extension 12 SP3
  • pidgin-plugin-otr >= 4.0.2-1.29
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA pidgin-plugin-otr
SUSE Linux Enterprise Workstation Extension 15
  • pidgin-plugin-otr >= 4.0.2-1.61
  • pidgin-plugin-otr-lang >= 4.0.2-1.61
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA pidgin-plugin-otr
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Desktop 11 SP2
  • pidgin-otr >= 3.2.0-1.40.1
Builds
SAT Patch Nr: 6380
openSUSE 11.4
  • pidgin-otr >= 3.2.0-151.1
  • pidgin-otr-debuginfo >= 3.2.0-151.1
  • pidgin-otr-debugsource >= 3.2.0-151.1
Patchnames:
openSUSE-2012-314
openSUSE Tumbleweed
  • pidgin-otr >= 4.0.2-1.5
Patchnames:
openSUSE Tumbleweed GA pidgin-otr


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 pidgin-otr Released